%define anolis_release 2

%global pypi_name pep517
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.13.0
Release:        %{anolis_release}%{?dist}
Summary:        Wrappers to build Python packages using PEP 517 hooks
# colorlog.py is "copied from Tornado", Apache licensed
License:        MIT and ASL 2.0
URL:            https://github.com/pypa/pep517
Source0:        https://files.pythonhosted.org/packages/4d/19/e11fcc88288f68ae48e3aa9cf5a6fd092a88e629cb723465666c44d487a0/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-tomli
BuildRequires:  python3-setuptools

%description
This package contains wrappers around the hooks of standard API
for systems which build Python packages, specified in PEP 517.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

# colorlog.py is "copied from Tornado", Apache licensed
Provides:       bundled(python3dist(tornado))

%description -n python3-%{pypi_name}
This package contains wrappers around the hooks of standard API
for systems which build Python packages, specified in PEP 517.

%package  -n python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description   -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Don't run the linter as part of tests
sed -i '/--flake8$/d' pytest.ini
sed -i '/pytest-flake8/d' dev-requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with tests}
%check
# "test_meta" skipped as it creates a venv and tries
# to install to it from PyPI
%tox -- -- -v -k "not test_meta"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.13.0-2
- Rebuild with python3.11

* Wed Mar 29 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.13.0-1
- Init from upstream
